GrailsProjectLoader (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.project.loader

## [Groovy] Class GrailsProjectLoader

- org.codehaus.groovy.grails.project.loader.GrailsProjectLoader

- Capable of bootstrapping a Grails project and returning the loaded ApplicationContext

  Authors:
    Graeme Rocher
  Since:
    2.3

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class BaseSettingsApi` | `appClassName, buildEventListener, buildProps, buildSettings, configSlurper, enableProfile, grailsAppName, grailsHome, isInteractive, metadata, metadataFile, pluginSettings, pluginsHome, resolver`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `org.springframework.context.ApplicationContext` | `applicationContext`
    `boolean` | `applicationLoaded`
    `org.springframework.context.ApplicationContext` | `parentContext`
    `GrailsPluginManager` | `pluginManager`
    `GrailsProjectPackager` | `projectPackager`
    `javax.servlet.ServletContext` | `servletContext`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsProjectLoader (BuildSettings buildSettings)`
    `GrailsProjectLoader (GrailsProjectPackager projectPackager)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `org.springframework.context.ApplicationContext` | `configureApplication()` Configures the Grails application and builds an ApplicationContext
    `protected void` | `configureJndi(GrailsApplication grailsApplication)`
    `protected BeanBuilder` | `defineParentBeans(WebBeanBuilder builder)`
    `GrailsApplication` | `loadApplication()` Loads the Grails application object @return
    `protected void` | `registerPluginManagerWithContext(org.springframework.context.ApplicationContext ctx)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BaseSettingsApi` | `confirmInput, confirmInput, copyGrailsResource, copyGrailsResource, copyGrailsResources, copyGrailsResources, createXmlSlurper, enableUaa, exit, getAppClassName, getAppGrailsVersion, getBuildEventListener, getBuildProps, getBuildSettings, getConfigSlurper, getGrailsAppName, getGrailsAppVersion, getGrailsHome, getIsInteractive, getMetadata, getMetadataFile, getPluginBuildSettings, getPluginSettings, getPluginsHome, getPropertyValue, getResolver, getServerHost, getServerPort, getServerPortHttps, getServletVersion, grailsResource, isDeclared, isEnableProfile, logError, logErrorAndExit, makeApiAvailableToScripts, makeRelative, makeRelative, profile, readAllPluginXmlMetadata, readPluginXmlMetadata, resolveResources, updateMetadata, updateMetadata`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### org.springframework.context.ApplicationContext applicationContext

    - #### boolean applicationLoaded

    - #### org.springframework.context.ApplicationContext parentContext

    - #### GrailsPluginManager pluginManager

    - #### GrailsProjectPackager projectPackager

    - #### javax.servlet.ServletContext servletContext

  - ### Constructor Detail

    - #### GrailsProjectLoader(BuildSettings buildSettings)

    - #### GrailsProjectLoader(GrailsProjectPackager projectPackager)

  - ### Method Detail

    - #### @groovy.transform.CompileStatic org.springframework.context.ApplicationContext configureApplication()

      Configures the Grails application and builds an ApplicationContext

      Returns:
        The ApplicationContext

    - #### @groovy.transform.CompileStatic(TypeCheckingMode.SKIP) protected void configureJndi(GrailsApplication grailsApplication)

    - #### @groovy.transform.CompileStatic(TypeCheckingMode.SKIP) protected BeanBuilder defineParentBeans(WebBeanBuilder builder)

    - #### @groovy.transform.CompileStatic GrailsApplication loadApplication()

      Loads the Grails application object

      Returns:

    - #### @groovy.transform.CompileStatic(TypeCheckingMode.SKIP) protected void registerPluginManagerWithContext(org.springframework.context.ApplicationContext ctx)